summaryrefslogtreecommitdiffstats
path: root/postgresql-tests/tasks/upgrade/locale/changed/runtest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'postgresql-tests/tasks/upgrade/locale/changed/runtest.sh')
-rw-r--r--postgresql-tests/tasks/upgrade/locale/changed/runtest.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/postgresql-tests/tasks/upgrade/locale/changed/runtest.sh b/postgresql-tests/tasks/upgrade/locale/changed/runtest.sh
new file mode 100644
index 0000000..cea3368
--- /dev/null
+++ b/postgresql-tests/tasks/upgrade/locale/changed/runtest.sh
@@ -0,0 +1,29 @@
+export DTF_TEST_ID="upgrade-locale-changed"
+export DTF_TEST_DESCRIPTION="Check postgresql-setup --upgrade is able to work
+even if the system locale changed significantly. For example, the initdb was
+run with cs_CZ.utf8 locale and the current system locale is en_US.UTF-8."
+
+
+run()
+{
+ dtf_postgresql_test_init
+
+ dtf_postgresql_cb_upgrade()
+ {
+ rlRun 'PGSETUP_INITDB_OPTIONS="--locale=cs_CZ.utf8" postgresql-setup upgrade'
+ }
+
+ dtf_postgresql_cb_upgrade_select()
+ {
+ if rlIsFedora 20 21 22; then
+ cat
+ else
+ cat >/dev/null
+ fi
+ }
+
+ dtf_postgresql_upgrade_tour "$(dtf_postgresql_data_mirror)" locale-cz.tar.gz
+ rlAssert0 "test wrapper should finish successfully" $?
+
+ dtf_postgresql_test_finish
+}